Makefile 66 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150115111521153115411551156115711581159116011611162116311641165116611671168116911701171117211731174117511761177117811791180118111821183118411851186118711881189119011911192119311941195119611971198119912001201120212031204120512061207120812091210121112121213121412151216121712181219122012211222122312241225122612271228122912301231123212331234123512361237123812391240124112421243124412451246124712481249125012511252125312541255125612571258125912601261126212631264126512661267126812691270127112721273127412751276127712781279128012811282128312841285128612871288128912901291129212931294129512961297129812991300130113021303130413051306130713081309131013111312131313141315131613171318131913201321132213231324132513261327132813291330133113321333133413351336133713381339134013411342134313441345134613471348134913501351135213531354135513561357135813591360136113621363136413651366136713681369137013711372137313741375137613771378137913801381138213831384138513861387138813891390139113921393139413951396139713981399140014011402140314041405140614071408140914101411141214131414141514161417141814191420142114221423142414251426142714281429143014311432143314341435143614371438143914401441144214431444144514461447144814491450145114521453145414551456145714581459146014611462146314641465146614671468146914701471147214731474147514761477147814791480148114821483148414851486148714881489149014911492149314941495149614971498149915001501150215031504150515061507150815091510151115121513151415151516151715181519152015211522152315241525152615271528152915301531153215331534153515361537
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_unix/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2005, 2006, 2009, 2011 Thorsten Kukuk <kukuk@suse.de>
  13. #
  14. am__is_gnu_make = { \
  15. if test -z '$(MAKELEVEL)'; then \
  16. false; \
  17. elif test -n '$(MAKE_HOST)'; then \
  18. true; \
  19. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  20. true; \
  21. else \
  22. false; \
  23. fi; \
  24. }
  25. am__make_running_with_option = \
  26. case $${target_option-} in \
  27. ?) ;; \
  28. *) echo "am__make_running_with_option: internal error: invalid" \
  29. "target option '$${target_option-}' specified" >&2; \
  30. exit 1;; \
  31. esac; \
  32. has_opt=no; \
  33. sane_makeflags=$$MAKEFLAGS; \
  34. if $(am__is_gnu_make); then \
  35. sane_makeflags=$$MFLAGS; \
  36. else \
  37. case $$MAKEFLAGS in \
  38. *\\[\ \ ]*) \
  39. bs=\\; \
  40. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  41. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  42. esac; \
  43. fi; \
  44. skip_next=no; \
  45. strip_trailopt () \
  46. { \
  47. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  48. }; \
  49. for flg in $$sane_makeflags; do \
  50. test $$skip_next = yes && { skip_next=no; continue; }; \
  51. case $$flg in \
  52. *=*|--*) continue;; \
  53. -*I) strip_trailopt 'I'; skip_next=yes;; \
  54. -*I?*) strip_trailopt 'I';; \
  55. -*O) strip_trailopt 'O'; skip_next=yes;; \
  56. -*O?*) strip_trailopt 'O';; \
  57. -*l) strip_trailopt 'l'; skip_next=yes;; \
  58. -*l?*) strip_trailopt 'l';; \
  59. -[dEDm]) skip_next=yes;; \
  60. -[JT]) skip_next=yes;; \
  61. esac; \
  62. case $$flg in \
  63. *$$target_option*) has_opt=yes; break;; \
  64. esac; \
  65. done; \
  66. test $$has_opt = yes
  67. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  68. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  69. pkgdatadir = $(datadir)/Linux-PAM
  70. pkgincludedir = $(includedir)/Linux-PAM
  71. pkglibdir = $(libdir)/Linux-PAM
  72. pkglibexecdir = $(libexecdir)/Linux-PAM
  73. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  74. install_sh_DATA = $(install_sh) -c -m 644
  75. install_sh_PROGRAM = $(install_sh) -c
  76. install_sh_SCRIPT = $(install_sh) -c
  77. INSTALL_HEADER = $(INSTALL_DATA)
  78. transform = $(program_transform_name)
  79. NORMAL_INSTALL = :
  80. PRE_INSTALL = :
  81. POST_INSTALL = :
  82. NORMAL_UNINSTALL = :
  83. PRE_UNINSTALL = :
  84. POST_UNINSTALL = :
  85. build_triplet = x86_64-pc-linux-gnu
  86. host_triplet = arm-unknown-linux-gnueabihf
  87. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  88. sbin_PROGRAMS = unix_chkpwd$(EXEEXT) unix_update$(EXEEXT)
  89. noinst_PROGRAMS = bigcrypt$(EXEEXT)
  90. subdir = modules/pam_unix
  91. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  92. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  93. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  94. $(top_srcdir)/m4/intlmacosx.m4 \
  95. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  96. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  97. $(top_srcdir)/m4/ld-no-undefined.m4 \
  98. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  99. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  100. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  101. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  102. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  103. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  104. $(top_srcdir)/m4/progtest.m4 \
  105. $(top_srcdir)/m4/warn_lang_flags.m4 \
  106. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  107. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  108. $(ACLOCAL_M4)
  109. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  110. $(am__dist_noinst_DATA_DIST) $(noinst_HEADERS) \
  111. $(am__DIST_COMMON)
  112. mkinstalldirs = $(install_sh) -d
  113. CONFIG_HEADER = $(top_builddir)/config.h
  114. CONFIG_CLEAN_FILES =
  115. CONFIG_CLEAN_VPATH_FILES =
  116. am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(securelibdir)" \
  117. "$(DESTDIR)$(man8dir)"
  118. PROGRAMS = $(noinst_PROGRAMS) $(sbin_PROGRAMS)
  119. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  120. am__vpath_adj = case $$p in \
  121. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  122. *) f=$$p;; \
  123. esac;
  124. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  125. am__install_max = 40
  126. am__nobase_strip_setup = \
  127. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  128. am__nobase_strip = \
  129. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  130. am__nobase_list = $(am__nobase_strip_setup); \
  131. for p in $$list; do echo "$$p $$p"; done | \
  132. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  133. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  134. if (++n[$$2] == $(am__install_max)) \
  135. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  136. END { for (dir in files) print dir, files[dir] }'
  137. am__base_list = \
  138. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  139. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  140. am__uninstall_files_from_dir = { \
  141. test -z "$$files" \
  142. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  143. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  144. $(am__cd) "$$dir" && rm -f $$files; }; \
  145. }
  146. LTLIBRARIES = $(securelib_LTLIBRARIES)
  147. pam_unix_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  148. am_pam_unix_la_OBJECTS = bigcrypt.lo pam_unix_acct.lo pam_unix_auth.lo \
  149. pam_unix_passwd.lo pam_unix_sess.lo support.lo passverify.lo \
  150. yppasswd_xdr.lo md5_good.lo md5_broken.lo
  151. pam_unix_la_OBJECTS = $(am_pam_unix_la_OBJECTS)
  152. AM_V_lt = $(am__v_lt_$(V))
  153. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  154. am__v_lt_0 = --silent
  155. am__v_lt_1 =
  156. pam_unix_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  157. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  158. $(pam_unix_la_LDFLAGS) $(LDFLAGS) -o $@
  159. am_bigcrypt_OBJECTS = bigcrypt-bigcrypt.$(OBJEXT) \
  160. bigcrypt-bigcrypt_main.$(OBJEXT)
  161. bigcrypt_OBJECTS = $(am_bigcrypt_OBJECTS)
  162. bigcrypt_DEPENDENCIES =
  163. bigcrypt_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  164. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(bigcrypt_CFLAGS) \
  165. $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  166. am_unix_chkpwd_OBJECTS = unix_chkpwd-unix_chkpwd.$(OBJEXT) \
  167. unix_chkpwd-md5_good.$(OBJEXT) \
  168. unix_chkpwd-md5_broken.$(OBJEXT) \
  169. unix_chkpwd-bigcrypt.$(OBJEXT) \
  170. unix_chkpwd-passverify.$(OBJEXT)
  171. unix_chkpwd_OBJECTS = $(am_unix_chkpwd_OBJECTS)
  172. unix_chkpwd_DEPENDENCIES =
  173. unix_chkpwd_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  174. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(unix_chkpwd_CFLAGS) \
  175. $(CFLAGS) $(unix_chkpwd_LDFLAGS) $(LDFLAGS) -o $@
  176. am_unix_update_OBJECTS = unix_update-unix_update.$(OBJEXT) \
  177. unix_update-md5_good.$(OBJEXT) \
  178. unix_update-md5_broken.$(OBJEXT) \
  179. unix_update-bigcrypt.$(OBJEXT) \
  180. unix_update-passverify.$(OBJEXT)
  181. unix_update_OBJECTS = $(am_unix_update_OBJECTS)
  182. unix_update_DEPENDENCIES =
  183. unix_update_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  184. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(unix_update_CFLAGS) \
  185. $(CFLAGS) $(unix_update_LDFLAGS) $(LDFLAGS) -o $@
  186. AM_V_P = $(am__v_P_$(V))
  187. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  188. am__v_P_0 = false
  189. am__v_P_1 = :
  190. AM_V_GEN = $(am__v_GEN_$(V))
  191. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  192. am__v_GEN_0 = @echo " GEN " $@;
  193. am__v_GEN_1 =
  194. AM_V_at = $(am__v_at_$(V))
  195. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  196. am__v_at_0 = @
  197. am__v_at_1 =
  198. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  199. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  200. am__maybe_remake_depfiles = depfiles
  201. am__depfiles_remade = ./$(DEPDIR)/bigcrypt-bigcrypt.Po \
  202. ./$(DEPDIR)/bigcrypt-bigcrypt_main.Po ./$(DEPDIR)/bigcrypt.Plo \
  203. ./$(DEPDIR)/md5_broken.Plo ./$(DEPDIR)/md5_good.Plo \
  204. ./$(DEPDIR)/pam_unix_acct.Plo ./$(DEPDIR)/pam_unix_auth.Plo \
  205. ./$(DEPDIR)/pam_unix_passwd.Plo ./$(DEPDIR)/pam_unix_sess.Plo \
  206. ./$(DEPDIR)/passverify.Plo ./$(DEPDIR)/support.Plo \
  207. ./$(DEPDIR)/unix_chkpwd-bigcrypt.Po \
  208. ./$(DEPDIR)/unix_chkpwd-md5_broken.Po \
  209. ./$(DEPDIR)/unix_chkpwd-md5_good.Po \
  210. ./$(DEPDIR)/unix_chkpwd-passverify.Po \
  211. ./$(DEPDIR)/unix_chkpwd-unix_chkpwd.Po \
  212. ./$(DEPDIR)/unix_update-bigcrypt.Po \
  213. ./$(DEPDIR)/unix_update-md5_broken.Po \
  214. ./$(DEPDIR)/unix_update-md5_good.Po \
  215. ./$(DEPDIR)/unix_update-passverify.Po \
  216. ./$(DEPDIR)/unix_update-unix_update.Po \
  217. ./$(DEPDIR)/yppasswd_xdr.Plo
  218. am__mv = mv -f
  219. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  220. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  221. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  222. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  223. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  224. $(AM_CFLAGS) $(CFLAGS)
  225. AM_V_CC = $(am__v_CC_$(V))
  226. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  227. am__v_CC_0 = @echo " CC " $@;
  228. am__v_CC_1 =
  229. CCLD = $(CC)
  230. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  231. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  232. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  233. AM_V_CCLD = $(am__v_CCLD_$(V))
  234. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  235. am__v_CCLD_0 = @echo " CCLD " $@;
  236. am__v_CCLD_1 =
  237. SOURCES = $(pam_unix_la_SOURCES) $(bigcrypt_SOURCES) \
  238. $(unix_chkpwd_SOURCES) $(unix_update_SOURCES)
  239. DIST_SOURCES = $(pam_unix_la_SOURCES) $(bigcrypt_SOURCES) \
  240. $(unix_chkpwd_SOURCES) $(unix_update_SOURCES)
  241. am__can_run_installinfo = \
  242. case $$AM_UPDATE_INFO_DIR in \
  243. n|no|NO) false;; \
  244. *) (install-info --version) >/dev/null 2>&1;; \
  245. esac
  246. man8dir = $(mandir)/man8
  247. NROFF = nroff
  248. MANS = $(dist_man_MANS)
  249. am__dist_noinst_DATA_DIST = README
  250. DATA = $(dist_noinst_DATA)
  251. HEADERS = $(noinst_HEADERS)
  252. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  253. # Read a list of newline-separated strings from the standard input,
  254. # and print each of them once, without duplicates. Input order is
  255. # *not* preserved.
  256. am__uniquify_input = $(AWK) '\
  257. BEGIN { nonempty = 0; } \
  258. { items[$$0] = 1; nonempty = 1; } \
  259. END { if (nonempty) { for (i in items) print i; }; } \
  260. '
  261. # Make sure the list of sources is unique. This is necessary because,
  262. # e.g., the same source file might be shared among _SOURCES variables
  263. # for different programs/libraries.
  264. am__define_uniq_tagged_files = \
  265. list='$(am__tagged_files)'; \
  266. unique=`for i in $$list; do \
  267. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  268. done | $(am__uniquify_input)`
  269. ETAGS = etags
  270. CTAGS = ctags
  271. am__tty_colors_dummy = \
  272. mgn= red= grn= lgn= blu= brg= std=; \
  273. am__color_tests=no
  274. am__tty_colors = { \
  275. $(am__tty_colors_dummy); \
  276. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  277. am__color_tests=no; \
  278. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  279. am__color_tests=yes; \
  280. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  281. am__color_tests=yes; \
  282. fi; \
  283. if test $$am__color_tests = yes; then \
  284. red=''; \
  285. grn=''; \
  286. lgn=''; \
  287. blu=''; \
  288. mgn=''; \
  289. brg=''; \
  290. std=''; \
  291. fi; \
  292. }
  293. am__recheck_rx = ^[ ]*:recheck:[ ]*
  294. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  295. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  296. # A command that, given a newline-separated list of test names on the
  297. # standard input, print the name of the tests that are to be re-run
  298. # upon "make recheck".
  299. am__list_recheck_tests = $(AWK) '{ \
  300. recheck = 1; \
  301. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  302. { \
  303. if (rc < 0) \
  304. { \
  305. if ((getline line2 < ($$0 ".log")) < 0) \
  306. recheck = 0; \
  307. break; \
  308. } \
  309. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  310. { \
  311. recheck = 0; \
  312. break; \
  313. } \
  314. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  315. { \
  316. break; \
  317. } \
  318. }; \
  319. if (recheck) \
  320. print $$0; \
  321. close ($$0 ".trs"); \
  322. close ($$0 ".log"); \
  323. }'
  324. # A command that, given a newline-separated list of test names on the
  325. # standard input, create the global log from their .trs and .log files.
  326. am__create_global_log = $(AWK) ' \
  327. function fatal(msg) \
  328. { \
  329. print "fatal: making $@: " msg | "cat >&2"; \
  330. exit 1; \
  331. } \
  332. function rst_section(header) \
  333. { \
  334. print header; \
  335. len = length(header); \
  336. for (i = 1; i <= len; i = i + 1) \
  337. printf "="; \
  338. printf "\n\n"; \
  339. } \
  340. { \
  341. copy_in_global_log = 1; \
  342. global_test_result = "RUN"; \
  343. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  344. { \
  345. if (rc < 0) \
  346. fatal("failed to read from " $$0 ".trs"); \
  347. if (line ~ /$(am__global_test_result_rx)/) \
  348. { \
  349. sub("$(am__global_test_result_rx)", "", line); \
  350. sub("[ ]*$$", "", line); \
  351. global_test_result = line; \
  352. } \
  353. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  354. copy_in_global_log = 0; \
  355. }; \
  356. if (copy_in_global_log) \
  357. { \
  358. rst_section(global_test_result ": " $$0); \
  359. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  360. { \
  361. if (rc < 0) \
  362. fatal("failed to read from " $$0 ".log"); \
  363. print line; \
  364. }; \
  365. printf "\n"; \
  366. }; \
  367. close ($$0 ".trs"); \
  368. close ($$0 ".log"); \
  369. }'
  370. # Restructured Text title.
  371. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  372. # Solaris 10 'make', and several other traditional 'make' implementations,
  373. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  374. # by disabling -e (using the XSI extension "set +e") if it's set.
  375. am__sh_e_setup = case $$- in *e*) set +e;; esac
  376. # Default flags passed to test drivers.
  377. am__common_driver_flags = \
  378. --color-tests "$$am__color_tests" \
  379. --enable-hard-errors "$$am__enable_hard_errors" \
  380. --expect-failure "$$am__expect_failure"
  381. # To be inserted before the command running the test. Creates the
  382. # directory for the log if needed. Stores in $dir the directory
  383. # containing $f, in $tst the test, in $log the log. Executes the
  384. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  385. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  386. # will run the test scripts (or their associated LOG_COMPILER, if
  387. # thy have one).
  388. am__check_pre = \
  389. $(am__sh_e_setup); \
  390. $(am__vpath_adj_setup) $(am__vpath_adj) \
  391. $(am__tty_colors); \
  392. srcdir=$(srcdir); export srcdir; \
  393. case "$@" in \
  394. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  395. *) am__odir=.;; \
  396. esac; \
  397. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  398. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  399. if test -f "./$$f"; then dir=./; \
  400. elif test -f "$$f"; then dir=; \
  401. else dir="$(srcdir)/"; fi; \
  402. tst=$$dir$$f; log='$@'; \
  403. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  404. am__enable_hard_errors=no; \
  405. else \
  406. am__enable_hard_errors=yes; \
  407. fi; \
  408. case " $(XFAIL_TESTS) " in \
  409. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  410. am__expect_failure=yes;; \
  411. *) \
  412. am__expect_failure=no;; \
  413. esac; \
  414. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  415. # A shell command to get the names of the tests scripts with any registered
  416. # extension removed (i.e., equivalently, the names of the test logs, with
  417. # the '.log' extension removed). The result is saved in the shell variable
  418. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  419. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  420. # since that might cause problem with VPATH rewrites for suffix-less tests.
  421. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  422. am__set_TESTS_bases = \
  423. bases='$(TEST_LOGS)'; \
  424. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  425. bases=`echo $$bases`
  426. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  427. RECHECK_LOGS = $(TEST_LOGS)
  428. AM_RECURSIVE_TARGETS = check recheck
  429. TEST_SUITE_LOG = test-suite.log
  430. TEST_EXTENSIONS = .test
  431. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  432. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  433. am__set_b = \
  434. case '$@' in \
  435. */*) \
  436. case '$*' in \
  437. */*) b='$*';; \
  438. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  439. esac;; \
  440. *) \
  441. b='$*';; \
  442. esac
  443. am__test_logs1 = $(TESTS:=.log)
  444. am__test_logs2 = $(am__test_logs1:.log=.log)
  445. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  446. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  447. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  448. $(TEST_LOG_FLAGS)
  449. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  450. $(top_srcdir)/build-aux/depcomp \
  451. $(top_srcdir)/build-aux/test-driver
  452. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  453. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  454. AMTAR = $${TAR-tar}
  455. AM_DEFAULT_VERBOSITY = 1
  456. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  457. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  458. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  459. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  460. AWK = gawk
  461. BROWSER =
  462. BUILD_CFLAGS =
  463. BUILD_CPPFLAGS =
  464. BUILD_LDFLAGS =
  465. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  466. CCDEPMODE = depmode=gcc3
  467. CC_FOR_BUILD = gcc
  468. CFLAGS = -g -O2
  469. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  470. CPPFLAGS =
  471. CRYPTO_LIBS =
  472. CRYPT_CFLAGS =
  473. CRYPT_LIBS = -lcrypt
  474. CYGPATH_W = echo
  475. DEFS = -DHAVE_CONFIG_H
  476. DEPDIR = .deps
  477. DLLTOOL = false
  478. DSYMUTIL =
  479. DUMPBIN = :
  480. ECHO_C =
  481. ECHO_N = -n
  482. ECHO_T =
  483. ECONF_CFLAGS =
  484. ECONF_LIBS =
  485. EGREP = /bin/grep -E
  486. EXEEXT =
  487. EXE_CFLAGS = -fpie
  488. EXE_LDFLAGS = -pie -Wl,-z,now
  489. FGREP = /bin/grep -F
  490. FO2PDF =
  491. GETTEXT_MACRO_VERSION = 0.18
  492. GMSGFMT = /usr/bin/msgfmt
  493. GMSGFMT_015 = /usr/bin/msgfmt
  494. GREP = /bin/grep
  495. INSTALL = /usr/bin/install -c
  496. INSTALL_DATA = ${INSTALL} -m 644
  497. INSTALL_PROGRAM = ${INSTALL}
  498. INSTALL_SCRIPT = ${INSTALL}
  499. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  500. INTLLIBS =
  501. INTL_MACOSX_LIBS =
  502. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  503. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  504. LEX = flex
  505. LEXLIB = -lfl
  506. LEX_OUTPUT_ROOT = lex.yy
  507. LIBAUDIT =
  508. LIBCRYPT = -lcrypt
  509. LIBDB =
  510. LIBDL = -ldl
  511. LIBICONV = -liconv
  512. LIBINTL =
  513. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  514. LIBPRELUDE_CFLAGS =
  515. LIBPRELUDE_CONFIG = no
  516. LIBPRELUDE_CONFIG_PREFIX =
  517. LIBPRELUDE_LDFLAGS =
  518. LIBPRELUDE_LIBS =
  519. LIBPRELUDE_PREFIX =
  520. LIBPRELUDE_PTHREAD_CFLAGS =
  521. LIBS =
  522. LIBSELINUX =
  523. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  524. LIPO =
  525. LN_S = ln -s
  526. LTLIBICONV = -liconv
  527. LTLIBINTL =
  528. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  529. LT_SYS_LIBRARY_PATH =
  530. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  531. MANIFEST_TOOL = :
  532. MKDIR_P = /bin/mkdir -p
  533. MSGFMT = /usr/bin/msgfmt
  534. MSGFMT_015 = /usr/bin/msgfmt
  535. MSGMERGE = /usr/bin/msgmerge
  536. NIS_CFLAGS =
  537. NIS_LIBS =
  538. NM = nm
  539. NMEDIT =
  540. NSL_CFLAGS =
  541. NSL_LIBS = -lnsl
  542. OBJDUMP = objdump
  543. OBJEXT = o
  544. OTOOL =
  545. OTOOL64 =
  546. PACKAGE = Linux-PAM
  547. PACKAGE_BUGREPORT =
  548. PACKAGE_NAME = Linux-PAM
  549. PACKAGE_STRING = Linux-PAM 1.5.2
  550. PACKAGE_TARNAME = Linux-PAM
  551. PACKAGE_URL =
  552. PACKAGE_VERSION = 1.5.2
  553. PATH_SEPARATOR = :
  554. PKG_CONFIG = /usr/bin/pkg-config
  555. PKG_CONFIG_LIBDIR =
  556. PKG_CONFIG_PATH =
  557. POSUB = po
  558. RANLIB = ranlib
  559. SCONFIGDIR = ${prefix}/etc/security
  560. SECUREDIR = ${exec_prefix}/lib/security
  561. SED = /bin/sed
  562. SET_MAKE =
  563. SHELL = /bin/bash
  564. STRINGPARAM_HMAC =
  565. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  566. STRIP = strip
  567. TIRPC_CFLAGS =
  568. TIRPC_LIBS =
  569. USE_NLS = yes
  570. VERSION = 1.5.2
  571. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  572. XGETTEXT = /usr/bin/xgettext
  573. XGETTEXT_015 = /usr/bin/xgettext
  574. XGETTEXT_EXTRA_OPTIONS =
  575. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  576. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  577. XML_CATALOG_FILE = /etc/xml/catalog
  578. XSLTPROC = /usr/bin/xsltproc
  579. YACC = bison -y
  580. YFLAGS =
  581. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_unix
  582. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_unix
  583. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  584. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  585. ac_ct_AR =
  586. ac_ct_CC =
  587. ac_ct_DUMPBIN = link -dump
  588. am__include = include
  589. am__leading_dot = .
  590. am__quote =
  591. am__tar = $${TAR-tar} chof - "$$tardir"
  592. am__untar = $${TAR-tar} xf -
  593. bindir = ${exec_prefix}/bin
  594. build = x86_64-pc-linux-gnu
  595. build_alias =
  596. build_cpu = x86_64
  597. build_os = linux-gnu
  598. build_vendor = pc
  599. builddir = .
  600. datadir = ${datarootdir}
  601. datarootdir = ${prefix}/share
  602. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  603. dvidir = ${docdir}
  604. exec_prefix = ${prefix}
  605. host = arm-unknown-linux-gnueabihf
  606. host_alias = arm-linux-gnueabihf
  607. host_cpu = arm
  608. host_os = linux-gnueabihf
  609. host_vendor = unknown
  610. htmldir = ${docdir}
  611. includedir = ${prefix}/include
  612. infodir = ${datarootdir}/info
  613. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  614. libdir = ${exec_prefix}/lib
  615. libexecdir = ${exec_prefix}/libexec
  616. localedir = ${datarootdir}/locale
  617. localstatedir = ${prefix}/var
  618. mandir = ${datarootdir}/man
  619. mkdir_p = $(MKDIR_P)
  620. oldincludedir = /usr/include
  621. pam_xauth_path = /usr/bin/xauth
  622. pdfdir = ${docdir}
  623. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  624. program_transform_name = s,x,x,
  625. psdir = ${docdir}
  626. sbindir = ${exec_prefix}/sbin
  627. sharedstatedir = ${prefix}/com
  628. srcdir = .
  629. sysconfdir = ${prefix}/etc
  630. systemdunitdir =
  631. target_alias =
  632. top_build_prefix = ../../
  633. top_builddir = ../..
  634. top_srcdir = ../..
  635. CLEANFILES = *~
  636. MAINTAINERCLEANFILES = $(MANS) README
  637. EXTRA_DIST = md5.c md5_crypt.c lckpwdf.-c $(XMLS) CHANGELOG
  638. #dist_man_MANS = pam_unix.8 unix_chkpwd.8 unix_update.8
  639. XMLS = README.xml pam_unix.8.xml unix_chkpwd.8.xml unix_update.8.xml
  640. dist_check_SCRIPTS = tst-pam_unix
  641. TESTS = $(dist_check_SCRIPTS)
  642. securelibdir = $(SECUREDIR)
  643. secureconfdir = $(SCONFIGDIR)
  644. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  645. -DCHKPWD_HELPER=\"$(sbindir)/unix_chkpwd\" \
  646. -DUPDATE_HELPER=\"$(sbindir)/unix_update\" \
  647. $(WARN_CFLAGS)
  648. pam_unix_la_LDFLAGS = -no-undefined -avoid-version -module \
  649. $(am__append_1)
  650. pam_unix_la_LIBADD = $(top_builddir)/libpam/libpam.la \
  651. -lcrypt -lnsl
  652. securelib_LTLIBRARIES = pam_unix.la
  653. noinst_HEADERS = md5.h support.h yppasswd.h bigcrypt.h passverify.h
  654. pam_unix_la_SOURCES = bigcrypt.c pam_unix_acct.c \
  655. pam_unix_auth.c pam_unix_passwd.c pam_unix_sess.c support.c \
  656. passverify.c yppasswd_xdr.c md5_good.c md5_broken.c
  657. bigcrypt_SOURCES = bigcrypt.c bigcrypt_main.c
  658. bigcrypt_CFLAGS = $(AM_CFLAGS)
  659. bigcrypt_LDADD = -lcrypt
  660. unix_chkpwd_SOURCES = unix_chkpwd.c md5_good.c md5_broken.c bigcrypt.c \
  661. passverify.c
  662. unix_chkpwd_CFLAGS = $(AM_CFLAGS) -fpie -DHELPER_COMPILE=\"unix_chkpwd\"
  663. unix_chkpwd_LDFLAGS = -pie -Wl,-z,now
  664. unix_chkpwd_LDADD = -lcrypt
  665. unix_update_SOURCES = unix_update.c md5_good.c md5_broken.c bigcrypt.c \
  666. passverify.c
  667. unix_update_CFLAGS = $(AM_CFLAGS) -fpie -DHELPER_COMPILE=\"unix_update\"
  668. unix_update_LDFLAGS = -pie -Wl,-z,now
  669. unix_update_LDADD = -lcrypt
  670. #dist_noinst_DATA = README
  671. all: all-am
  672. .SUFFIXES:
  673. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  674. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  675. @for dep in $?; do \
  676. case '$(am__configure_deps)' in \
  677. *$$dep*) \
  678. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  679. && { if test -f $@; then exit 0; else break; fi; }; \
  680. exit 1;; \
  681. esac; \
  682. done; \
  683. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_unix/Makefile'; \
  684. $(am__cd) $(top_srcdir) && \
  685. $(AUTOMAKE) --gnu modules/pam_unix/Makefile
  686. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  687. @case '$?' in \
  688. *config.status*) \
  689. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  690. *) \
  691. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  692. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  693. esac;
  694. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  695. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  696. $(top_srcdir)/configure: $(am__configure_deps)
  697. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  698. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  699. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  700. $(am__aclocal_m4_deps):
  701. clean-noinstPROGRAMS:
  702. @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
  703. echo " rm -f" $$list; \
  704. rm -f $$list || exit $$?; \
  705. test -n "$(EXEEXT)" || exit 0; \
  706. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  707. echo " rm -f" $$list; \
  708. rm -f $$list
  709. install-sbinPROGRAMS: $(sbin_PROGRAMS)
  710. @$(NORMAL_INSTALL)
  711. @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  712. if test -n "$$list"; then \
  713. echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
  714. $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
  715. fi; \
  716. for p in $$list; do echo "$$p $$p"; done | \
  717. sed 's/$(EXEEXT)$$//' | \
  718. while read p p1; do if test -f $$p \
  719. || test -f $$p1 \
  720. ; then echo "$$p"; echo "$$p"; else :; fi; \
  721. done | \
  722. sed -e 'p;s,.*/,,;n;h' \
  723. -e 's|.*|.|' \
  724. -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  725. sed 'N;N;N;s,\n, ,g' | \
  726. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  727. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  728. if ($$2 == $$4) files[d] = files[d] " " $$1; \
  729. else { print "f", $$3 "/" $$4, $$1; } } \
  730. END { for (d in files) print "f", d, files[d] }' | \
  731. while read type dir files; do \
  732. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  733. test -z "$$files" || { \
  734. echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
  735. $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
  736. } \
  737. ; done
  738. uninstall-sbinPROGRAMS:
  739. @$(NORMAL_UNINSTALL)
  740. @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  741. files=`for p in $$list; do echo "$$p"; done | \
  742. sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  743. -e 's/$$/$(EXEEXT)/' \
  744. `; \
  745. test -n "$$list" || exit 0; \
  746. echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
  747. cd "$(DESTDIR)$(sbindir)" && rm -f $$files
  748. clean-sbinPROGRAMS:
  749. @list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
  750. echo " rm -f" $$list; \
  751. rm -f $$list || exit $$?; \
  752. test -n "$(EXEEXT)" || exit 0; \
  753. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  754. echo " rm -f" $$list; \
  755. rm -f $$list
  756. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  757. @$(NORMAL_INSTALL)
  758. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  759. list2=; for p in $$list; do \
  760. if test -f $$p; then \
  761. list2="$$list2 $$p"; \
  762. else :; fi; \
  763. done; \
  764. test -z "$$list2" || { \
  765. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  766. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  767. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  768. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  769. }
  770. uninstall-securelibLTLIBRARIES:
  771. @$(NORMAL_UNINSTALL)
  772. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  773. for p in $$list; do \
  774. $(am__strip_dir) \
  775. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  776. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  777. done
  778. clean-securelibLTLIBRARIES:
  779. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  780. @list='$(securelib_LTLIBRARIES)'; \
  781. locs=`for p in $$list; do echo $$p; done | \
  782. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  783. sort -u`; \
  784. test -z "$$locs" || { \
  785. echo rm -f $${locs}; \
  786. rm -f $${locs}; \
  787. }
  788. pam_unix.la: $(pam_unix_la_OBJECTS) $(pam_unix_la_DEPENDENCIES) $(EXTRA_pam_unix_la_DEPENDENCIES)
  789. $(AM_V_CCLD)$(pam_unix_la_LINK) -rpath $(securelibdir) $(pam_unix_la_OBJECTS) $(pam_unix_la_LIBADD) $(LIBS)
  790. bigcrypt$(EXEEXT): $(bigcrypt_OBJECTS) $(bigcrypt_DEPENDENCIES) $(EXTRA_bigcrypt_DEPENDENCIES)
  791. @rm -f bigcrypt$(EXEEXT)
  792. $(AM_V_CCLD)$(bigcrypt_LINK) $(bigcrypt_OBJECTS) $(bigcrypt_LDADD) $(LIBS)
  793. unix_chkpwd$(EXEEXT): $(unix_chkpwd_OBJECTS) $(unix_chkpwd_DEPENDENCIES) $(EXTRA_unix_chkpwd_DEPENDENCIES)
  794. @rm -f unix_chkpwd$(EXEEXT)
  795. $(AM_V_CCLD)$(unix_chkpwd_LINK) $(unix_chkpwd_OBJECTS) $(unix_chkpwd_LDADD) $(LIBS)
  796. unix_update$(EXEEXT): $(unix_update_OBJECTS) $(unix_update_DEPENDENCIES) $(EXTRA_unix_update_DEPENDENCIES)
  797. @rm -f unix_update$(EXEEXT)
  798. $(AM_V_CCLD)$(unix_update_LINK) $(unix_update_OBJECTS) $(unix_update_LDADD) $(LIBS)
  799. mostlyclean-compile:
  800. -rm -f *.$(OBJEXT)
  801. distclean-compile:
  802. -rm -f *.tab.c
  803. include ./$(DEPDIR)/bigcrypt-bigcrypt.Po # am--include-marker
  804. include ./$(DEPDIR)/bigcrypt-bigcrypt_main.Po # am--include-marker
  805. include ./$(DEPDIR)/bigcrypt.Plo # am--include-marker
  806. include ./$(DEPDIR)/md5_broken.Plo # am--include-marker
  807. include ./$(DEPDIR)/md5_good.Plo # am--include-marker
  808. include ./$(DEPDIR)/pam_unix_acct.Plo # am--include-marker
  809. include ./$(DEPDIR)/pam_unix_auth.Plo # am--include-marker
  810. include ./$(DEPDIR)/pam_unix_passwd.Plo # am--include-marker
  811. include ./$(DEPDIR)/pam_unix_sess.Plo # am--include-marker
  812. include ./$(DEPDIR)/passverify.Plo # am--include-marker
  813. include ./$(DEPDIR)/support.Plo # am--include-marker
  814. include ./$(DEPDIR)/unix_chkpwd-bigcrypt.Po # am--include-marker
  815. include ./$(DEPDIR)/unix_chkpwd-md5_broken.Po # am--include-marker
  816. include ./$(DEPDIR)/unix_chkpwd-md5_good.Po # am--include-marker
  817. include ./$(DEPDIR)/unix_chkpwd-passverify.Po # am--include-marker
  818. include ./$(DEPDIR)/unix_chkpwd-unix_chkpwd.Po # am--include-marker
  819. include ./$(DEPDIR)/unix_update-bigcrypt.Po # am--include-marker
  820. include ./$(DEPDIR)/unix_update-md5_broken.Po # am--include-marker
  821. include ./$(DEPDIR)/unix_update-md5_good.Po # am--include-marker
  822. include ./$(DEPDIR)/unix_update-passverify.Po # am--include-marker
  823. include ./$(DEPDIR)/unix_update-unix_update.Po # am--include-marker
  824. include ./$(DEPDIR)/yppasswd_xdr.Plo # am--include-marker
  825. $(am__depfiles_remade):
  826. @$(MKDIR_P) $(@D)
  827. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  828. am--depfiles: $(am__depfiles_remade)
  829. .c.o:
  830. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  831. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  832. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  833. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  834. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  835. .c.obj:
  836. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  837. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  838. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  839. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  840. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  841. .c.lo:
  842. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  843. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  844. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  845. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  846. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  847. bigcrypt-bigcrypt.o: bigcrypt.c
  848. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bigcrypt_CFLAGS) $(CFLAGS) -MT bigcrypt-bigcrypt.o -MD -MP -MF $(DEPDIR)/bigcrypt-bigcrypt.Tpo -c -o bigcrypt-bigcrypt.o `test -f 'bigcrypt.c' || echo '$(srcdir)/'`bigcrypt.c
  849. $(AM_V_at)$(am__mv) $(DEPDIR)/bigcrypt-bigcrypt.Tpo $(DEPDIR)/bigcrypt-bigcrypt.Po
  850. # $(AM_V_CC)source='bigcrypt.c' object='bigcrypt-bigcrypt.o' libtool=no \
  851. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  852. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bigcrypt_CFLAGS) $(CFLAGS) -c -o bigcrypt-bigcrypt.o `test -f 'bigcrypt.c' || echo '$(srcdir)/'`bigcrypt.c
  853. bigcrypt-bigcrypt.obj: bigcrypt.c
  854. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bigcrypt_CFLAGS) $(CFLAGS) -MT bigcrypt-bigcrypt.obj -MD -MP -MF $(DEPDIR)/bigcrypt-bigcrypt.Tpo -c -o bigcrypt-bigcrypt.obj `if test -f 'bigcrypt.c'; then $(CYGPATH_W) 'bigcrypt.c'; else $(CYGPATH_W) '$(srcdir)/bigcrypt.c'; fi`
  855. $(AM_V_at)$(am__mv) $(DEPDIR)/bigcrypt-bigcrypt.Tpo $(DEPDIR)/bigcrypt-bigcrypt.Po
  856. # $(AM_V_CC)source='bigcrypt.c' object='bigcrypt-bigcrypt.obj' libtool=no \
  857. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  858. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bigcrypt_CFLAGS) $(CFLAGS) -c -o bigcrypt-bigcrypt.obj `if test -f 'bigcrypt.c'; then $(CYGPATH_W) 'bigcrypt.c'; else $(CYGPATH_W) '$(srcdir)/bigcrypt.c'; fi`
  859. bigcrypt-bigcrypt_main.o: bigcrypt_main.c
  860. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bigcrypt_CFLAGS) $(CFLAGS) -MT bigcrypt-bigcrypt_main.o -MD -MP -MF $(DEPDIR)/bigcrypt-bigcrypt_main.Tpo -c -o bigcrypt-bigcrypt_main.o `test -f 'bigcrypt_main.c' || echo '$(srcdir)/'`bigcrypt_main.c
  861. $(AM_V_at)$(am__mv) $(DEPDIR)/bigcrypt-bigcrypt_main.Tpo $(DEPDIR)/bigcrypt-bigcrypt_main.Po
  862. # $(AM_V_CC)source='bigcrypt_main.c' object='bigcrypt-bigcrypt_main.o' libtool=no \
  863. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  864. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bigcrypt_CFLAGS) $(CFLAGS) -c -o bigcrypt-bigcrypt_main.o `test -f 'bigcrypt_main.c' || echo '$(srcdir)/'`bigcrypt_main.c
  865. bigcrypt-bigcrypt_main.obj: bigcrypt_main.c
  866. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bigcrypt_CFLAGS) $(CFLAGS) -MT bigcrypt-bigcrypt_main.obj -MD -MP -MF $(DEPDIR)/bigcrypt-bigcrypt_main.Tpo -c -o bigcrypt-bigcrypt_main.obj `if test -f 'bigcrypt_main.c'; then $(CYGPATH_W) 'bigcrypt_main.c'; else $(CYGPATH_W) '$(srcdir)/bigcrypt_main.c'; fi`
  867. $(AM_V_at)$(am__mv) $(DEPDIR)/bigcrypt-bigcrypt_main.Tpo $(DEPDIR)/bigcrypt-bigcrypt_main.Po
  868. # $(AM_V_CC)source='bigcrypt_main.c' object='bigcrypt-bigcrypt_main.obj' libtool=no \
  869. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  870. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bigcrypt_CFLAGS) $(CFLAGS) -c -o bigcrypt-bigcrypt_main.obj `if test -f 'bigcrypt_main.c'; then $(CYGPATH_W) 'bigcrypt_main.c'; else $(CYGPATH_W) '$(srcdir)/bigcrypt_main.c'; fi`
  871. unix_chkpwd-unix_chkpwd.o: unix_chkpwd.c
  872. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -MT unix_chkpwd-unix_chkpwd.o -MD -MP -MF $(DEPDIR)/unix_chkpwd-unix_chkpwd.Tpo -c -o unix_chkpwd-unix_chkpwd.o `test -f 'unix_chkpwd.c' || echo '$(srcdir)/'`unix_chkpwd.c
  873. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_chkpwd-unix_chkpwd.Tpo $(DEPDIR)/unix_chkpwd-unix_chkpwd.Po
  874. # $(AM_V_CC)source='unix_chkpwd.c' object='unix_chkpwd-unix_chkpwd.o' libtool=no \
  875. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  876. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -c -o unix_chkpwd-unix_chkpwd.o `test -f 'unix_chkpwd.c' || echo '$(srcdir)/'`unix_chkpwd.c
  877. unix_chkpwd-unix_chkpwd.obj: unix_chkpwd.c
  878. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -MT unix_chkpwd-unix_chkpwd.obj -MD -MP -MF $(DEPDIR)/unix_chkpwd-unix_chkpwd.Tpo -c -o unix_chkpwd-unix_chkpwd.obj `if test -f 'unix_chkpwd.c'; then $(CYGPATH_W) 'unix_chkpwd.c'; else $(CYGPATH_W) '$(srcdir)/unix_chkpwd.c'; fi`
  879. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_chkpwd-unix_chkpwd.Tpo $(DEPDIR)/unix_chkpwd-unix_chkpwd.Po
  880. # $(AM_V_CC)source='unix_chkpwd.c' object='unix_chkpwd-unix_chkpwd.obj' libtool=no \
  881. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  882. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -c -o unix_chkpwd-unix_chkpwd.obj `if test -f 'unix_chkpwd.c'; then $(CYGPATH_W) 'unix_chkpwd.c'; else $(CYGPATH_W) '$(srcdir)/unix_chkpwd.c'; fi`
  883. unix_chkpwd-md5_good.o: md5_good.c
  884. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -MT unix_chkpwd-md5_good.o -MD -MP -MF $(DEPDIR)/unix_chkpwd-md5_good.Tpo -c -o unix_chkpwd-md5_good.o `test -f 'md5_good.c' || echo '$(srcdir)/'`md5_good.c
  885. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_chkpwd-md5_good.Tpo $(DEPDIR)/unix_chkpwd-md5_good.Po
  886. # $(AM_V_CC)source='md5_good.c' object='unix_chkpwd-md5_good.o' libtool=no \
  887. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  888. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -c -o unix_chkpwd-md5_good.o `test -f 'md5_good.c' || echo '$(srcdir)/'`md5_good.c
  889. unix_chkpwd-md5_good.obj: md5_good.c
  890. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -MT unix_chkpwd-md5_good.obj -MD -MP -MF $(DEPDIR)/unix_chkpwd-md5_good.Tpo -c -o unix_chkpwd-md5_good.obj `if test -f 'md5_good.c'; then $(CYGPATH_W) 'md5_good.c'; else $(CYGPATH_W) '$(srcdir)/md5_good.c'; fi`
  891. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_chkpwd-md5_good.Tpo $(DEPDIR)/unix_chkpwd-md5_good.Po
  892. # $(AM_V_CC)source='md5_good.c' object='unix_chkpwd-md5_good.obj' libtool=no \
  893. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  894. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -c -o unix_chkpwd-md5_good.obj `if test -f 'md5_good.c'; then $(CYGPATH_W) 'md5_good.c'; else $(CYGPATH_W) '$(srcdir)/md5_good.c'; fi`
  895. unix_chkpwd-md5_broken.o: md5_broken.c
  896. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -MT unix_chkpwd-md5_broken.o -MD -MP -MF $(DEPDIR)/unix_chkpwd-md5_broken.Tpo -c -o unix_chkpwd-md5_broken.o `test -f 'md5_broken.c' || echo '$(srcdir)/'`md5_broken.c
  897. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_chkpwd-md5_broken.Tpo $(DEPDIR)/unix_chkpwd-md5_broken.Po
  898. # $(AM_V_CC)source='md5_broken.c' object='unix_chkpwd-md5_broken.o' libtool=no \
  899. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  900. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -c -o unix_chkpwd-md5_broken.o `test -f 'md5_broken.c' || echo '$(srcdir)/'`md5_broken.c
  901. unix_chkpwd-md5_broken.obj: md5_broken.c
  902. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -MT unix_chkpwd-md5_broken.obj -MD -MP -MF $(DEPDIR)/unix_chkpwd-md5_broken.Tpo -c -o unix_chkpwd-md5_broken.obj `if test -f 'md5_broken.c'; then $(CYGPATH_W) 'md5_broken.c'; else $(CYGPATH_W) '$(srcdir)/md5_broken.c'; fi`
  903. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_chkpwd-md5_broken.Tpo $(DEPDIR)/unix_chkpwd-md5_broken.Po
  904. # $(AM_V_CC)source='md5_broken.c' object='unix_chkpwd-md5_broken.obj' libtool=no \
  905. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  906. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -c -o unix_chkpwd-md5_broken.obj `if test -f 'md5_broken.c'; then $(CYGPATH_W) 'md5_broken.c'; else $(CYGPATH_W) '$(srcdir)/md5_broken.c'; fi`
  907. unix_chkpwd-bigcrypt.o: bigcrypt.c
  908. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -MT unix_chkpwd-bigcrypt.o -MD -MP -MF $(DEPDIR)/unix_chkpwd-bigcrypt.Tpo -c -o unix_chkpwd-bigcrypt.o `test -f 'bigcrypt.c' || echo '$(srcdir)/'`bigcrypt.c
  909. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_chkpwd-bigcrypt.Tpo $(DEPDIR)/unix_chkpwd-bigcrypt.Po
  910. # $(AM_V_CC)source='bigcrypt.c' object='unix_chkpwd-bigcrypt.o' libtool=no \
  911. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  912. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -c -o unix_chkpwd-bigcrypt.o `test -f 'bigcrypt.c' || echo '$(srcdir)/'`bigcrypt.c
  913. unix_chkpwd-bigcrypt.obj: bigcrypt.c
  914. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -MT unix_chkpwd-bigcrypt.obj -MD -MP -MF $(DEPDIR)/unix_chkpwd-bigcrypt.Tpo -c -o unix_chkpwd-bigcrypt.obj `if test -f 'bigcrypt.c'; then $(CYGPATH_W) 'bigcrypt.c'; else $(CYGPATH_W) '$(srcdir)/bigcrypt.c'; fi`
  915. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_chkpwd-bigcrypt.Tpo $(DEPDIR)/unix_chkpwd-bigcrypt.Po
  916. # $(AM_V_CC)source='bigcrypt.c' object='unix_chkpwd-bigcrypt.obj' libtool=no \
  917. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  918. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -c -o unix_chkpwd-bigcrypt.obj `if test -f 'bigcrypt.c'; then $(CYGPATH_W) 'bigcrypt.c'; else $(CYGPATH_W) '$(srcdir)/bigcrypt.c'; fi`
  919. unix_chkpwd-passverify.o: passverify.c
  920. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -MT unix_chkpwd-passverify.o -MD -MP -MF $(DEPDIR)/unix_chkpwd-passverify.Tpo -c -o unix_chkpwd-passverify.o `test -f 'passverify.c' || echo '$(srcdir)/'`passverify.c
  921. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_chkpwd-passverify.Tpo $(DEPDIR)/unix_chkpwd-passverify.Po
  922. # $(AM_V_CC)source='passverify.c' object='unix_chkpwd-passverify.o' libtool=no \
  923. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  924. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -c -o unix_chkpwd-passverify.o `test -f 'passverify.c' || echo '$(srcdir)/'`passverify.c
  925. unix_chkpwd-passverify.obj: passverify.c
  926. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -MT unix_chkpwd-passverify.obj -MD -MP -MF $(DEPDIR)/unix_chkpwd-passverify.Tpo -c -o unix_chkpwd-passverify.obj `if test -f 'passverify.c'; then $(CYGPATH_W) 'passverify.c'; else $(CYGPATH_W) '$(srcdir)/passverify.c'; fi`
  927. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_chkpwd-passverify.Tpo $(DEPDIR)/unix_chkpwd-passverify.Po
  928. # $(AM_V_CC)source='passverify.c' object='unix_chkpwd-passverify.obj' libtool=no \
  929. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  930. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_chkpwd_CFLAGS) $(CFLAGS) -c -o unix_chkpwd-passverify.obj `if test -f 'passverify.c'; then $(CYGPATH_W) 'passverify.c'; else $(CYGPATH_W) '$(srcdir)/passverify.c'; fi`
  931. unix_update-unix_update.o: unix_update.c
  932. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -MT unix_update-unix_update.o -MD -MP -MF $(DEPDIR)/unix_update-unix_update.Tpo -c -o unix_update-unix_update.o `test -f 'unix_update.c' || echo '$(srcdir)/'`unix_update.c
  933. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_update-unix_update.Tpo $(DEPDIR)/unix_update-unix_update.Po
  934. # $(AM_V_CC)source='unix_update.c' object='unix_update-unix_update.o' libtool=no \
  935. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  936. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -c -o unix_update-unix_update.o `test -f 'unix_update.c' || echo '$(srcdir)/'`unix_update.c
  937. unix_update-unix_update.obj: unix_update.c
  938. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -MT unix_update-unix_update.obj -MD -MP -MF $(DEPDIR)/unix_update-unix_update.Tpo -c -o unix_update-unix_update.obj `if test -f 'unix_update.c'; then $(CYGPATH_W) 'unix_update.c'; else $(CYGPATH_W) '$(srcdir)/unix_update.c'; fi`
  939. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_update-unix_update.Tpo $(DEPDIR)/unix_update-unix_update.Po
  940. # $(AM_V_CC)source='unix_update.c' object='unix_update-unix_update.obj' libtool=no \
  941. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  942. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -c -o unix_update-unix_update.obj `if test -f 'unix_update.c'; then $(CYGPATH_W) 'unix_update.c'; else $(CYGPATH_W) '$(srcdir)/unix_update.c'; fi`
  943. unix_update-md5_good.o: md5_good.c
  944. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -MT unix_update-md5_good.o -MD -MP -MF $(DEPDIR)/unix_update-md5_good.Tpo -c -o unix_update-md5_good.o `test -f 'md5_good.c' || echo '$(srcdir)/'`md5_good.c
  945. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_update-md5_good.Tpo $(DEPDIR)/unix_update-md5_good.Po
  946. # $(AM_V_CC)source='md5_good.c' object='unix_update-md5_good.o' libtool=no \
  947. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  948. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -c -o unix_update-md5_good.o `test -f 'md5_good.c' || echo '$(srcdir)/'`md5_good.c
  949. unix_update-md5_good.obj: md5_good.c
  950. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -MT unix_update-md5_good.obj -MD -MP -MF $(DEPDIR)/unix_update-md5_good.Tpo -c -o unix_update-md5_good.obj `if test -f 'md5_good.c'; then $(CYGPATH_W) 'md5_good.c'; else $(CYGPATH_W) '$(srcdir)/md5_good.c'; fi`
  951. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_update-md5_good.Tpo $(DEPDIR)/unix_update-md5_good.Po
  952. # $(AM_V_CC)source='md5_good.c' object='unix_update-md5_good.obj' libtool=no \
  953. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  954. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -c -o unix_update-md5_good.obj `if test -f 'md5_good.c'; then $(CYGPATH_W) 'md5_good.c'; else $(CYGPATH_W) '$(srcdir)/md5_good.c'; fi`
  955. unix_update-md5_broken.o: md5_broken.c
  956. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -MT unix_update-md5_broken.o -MD -MP -MF $(DEPDIR)/unix_update-md5_broken.Tpo -c -o unix_update-md5_broken.o `test -f 'md5_broken.c' || echo '$(srcdir)/'`md5_broken.c
  957. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_update-md5_broken.Tpo $(DEPDIR)/unix_update-md5_broken.Po
  958. # $(AM_V_CC)source='md5_broken.c' object='unix_update-md5_broken.o' libtool=no \
  959. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  960. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -c -o unix_update-md5_broken.o `test -f 'md5_broken.c' || echo '$(srcdir)/'`md5_broken.c
  961. unix_update-md5_broken.obj: md5_broken.c
  962. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -MT unix_update-md5_broken.obj -MD -MP -MF $(DEPDIR)/unix_update-md5_broken.Tpo -c -o unix_update-md5_broken.obj `if test -f 'md5_broken.c'; then $(CYGPATH_W) 'md5_broken.c'; else $(CYGPATH_W) '$(srcdir)/md5_broken.c'; fi`
  963. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_update-md5_broken.Tpo $(DEPDIR)/unix_update-md5_broken.Po
  964. # $(AM_V_CC)source='md5_broken.c' object='unix_update-md5_broken.obj' libtool=no \
  965. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  966. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -c -o unix_update-md5_broken.obj `if test -f 'md5_broken.c'; then $(CYGPATH_W) 'md5_broken.c'; else $(CYGPATH_W) '$(srcdir)/md5_broken.c'; fi`
  967. unix_update-bigcrypt.o: bigcrypt.c
  968. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -MT unix_update-bigcrypt.o -MD -MP -MF $(DEPDIR)/unix_update-bigcrypt.Tpo -c -o unix_update-bigcrypt.o `test -f 'bigcrypt.c' || echo '$(srcdir)/'`bigcrypt.c
  969. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_update-bigcrypt.Tpo $(DEPDIR)/unix_update-bigcrypt.Po
  970. # $(AM_V_CC)source='bigcrypt.c' object='unix_update-bigcrypt.o' libtool=no \
  971. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  972. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -c -o unix_update-bigcrypt.o `test -f 'bigcrypt.c' || echo '$(srcdir)/'`bigcrypt.c
  973. unix_update-bigcrypt.obj: bigcrypt.c
  974. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -MT unix_update-bigcrypt.obj -MD -MP -MF $(DEPDIR)/unix_update-bigcrypt.Tpo -c -o unix_update-bigcrypt.obj `if test -f 'bigcrypt.c'; then $(CYGPATH_W) 'bigcrypt.c'; else $(CYGPATH_W) '$(srcdir)/bigcrypt.c'; fi`
  975. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_update-bigcrypt.Tpo $(DEPDIR)/unix_update-bigcrypt.Po
  976. # $(AM_V_CC)source='bigcrypt.c' object='unix_update-bigcrypt.obj' libtool=no \
  977. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  978. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -c -o unix_update-bigcrypt.obj `if test -f 'bigcrypt.c'; then $(CYGPATH_W) 'bigcrypt.c'; else $(CYGPATH_W) '$(srcdir)/bigcrypt.c'; fi`
  979. unix_update-passverify.o: passverify.c
  980. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -MT unix_update-passverify.o -MD -MP -MF $(DEPDIR)/unix_update-passverify.Tpo -c -o unix_update-passverify.o `test -f 'passverify.c' || echo '$(srcdir)/'`passverify.c
  981. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_update-passverify.Tpo $(DEPDIR)/unix_update-passverify.Po
  982. # $(AM_V_CC)source='passverify.c' object='unix_update-passverify.o' libtool=no \
  983. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  984. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -c -o unix_update-passverify.o `test -f 'passverify.c' || echo '$(srcdir)/'`passverify.c
  985. unix_update-passverify.obj: passverify.c
  986. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -MT unix_update-passverify.obj -MD -MP -MF $(DEPDIR)/unix_update-passverify.Tpo -c -o unix_update-passverify.obj `if test -f 'passverify.c'; then $(CYGPATH_W) 'passverify.c'; else $(CYGPATH_W) '$(srcdir)/passverify.c'; fi`
  987. $(AM_V_at)$(am__mv) $(DEPDIR)/unix_update-passverify.Tpo $(DEPDIR)/unix_update-passverify.Po
  988. # $(AM_V_CC)source='passverify.c' object='unix_update-passverify.obj' libtool=no \
  989. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  990. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(unix_update_CFLAGS) $(CFLAGS) -c -o unix_update-passverify.obj `if test -f 'passverify.c'; then $(CYGPATH_W) 'passverify.c'; else $(CYGPATH_W) '$(srcdir)/passverify.c'; fi`
  991. mostlyclean-libtool:
  992. -rm -f *.lo
  993. clean-libtool:
  994. -rm -rf .libs _libs
  995. install-man8: $(dist_man_MANS)
  996. @$(NORMAL_INSTALL)
  997. @list1=''; \
  998. list2='$(dist_man_MANS)'; \
  999. test -n "$(man8dir)" \
  1000. && test -n "`echo $$list1$$list2`" \
  1001. || exit 0; \
  1002. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  1003. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  1004. { for i in $$list1; do echo "$$i"; done; \
  1005. if test -n "$$list2"; then \
  1006. for i in $$list2; do echo "$$i"; done \
  1007. | sed -n '/\.8[a-z]*$$/p'; \
  1008. fi; \
  1009. } | while read p; do \
  1010. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  1011. echo "$$d$$p"; echo "$$p"; \
  1012. done | \
  1013. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  1014. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  1015. sed 'N;N;s,\n, ,g' | { \
  1016. list=; while read file base inst; do \
  1017. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  1018. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  1019. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  1020. fi; \
  1021. done; \
  1022. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  1023. while read files; do \
  1024. test -z "$$files" || { \
  1025. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  1026. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  1027. done; }
  1028. uninstall-man8:
  1029. @$(NORMAL_UNINSTALL)
  1030. @list=''; test -n "$(man8dir)" || exit 0; \
  1031. files=`{ for i in $$list; do echo "$$i"; done; \
  1032. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  1033. sed -n '/\.8[a-z]*$$/p'; \
  1034. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  1035. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  1036. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  1037. ID: $(am__tagged_files)
  1038. $(am__define_uniq_tagged_files); mkid -fID $$unique
  1039. tags: tags-am
  1040. TAGS: tags
  1041. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  1042. set x; \
  1043. here=`pwd`; \
  1044. $(am__define_uniq_tagged_files); \
  1045. shift; \
  1046. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  1047. test -n "$$unique" || unique=$$empty_fix; \
  1048. if test $$# -gt 0; then \
  1049. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  1050. "$$@" $$unique; \
  1051. else \
  1052. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  1053. $$unique; \
  1054. fi; \
  1055. fi
  1056. ctags: ctags-am
  1057. CTAGS: ctags
  1058. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  1059. $(am__define_uniq_tagged_files); \
  1060. test -z "$(CTAGS_ARGS)$$unique" \
  1061. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  1062. $$unique
  1063. GTAGS:
  1064. here=`$(am__cd) $(top_builddir) && pwd` \
  1065. && $(am__cd) $(top_srcdir) \
  1066. && gtags -i $(GTAGS_ARGS) "$$here"
  1067. cscopelist: cscopelist-am
  1068. cscopelist-am: $(am__tagged_files)
  1069. list='$(am__tagged_files)'; \
  1070. case "$(srcdir)" in \
  1071. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  1072. *) sdir=$(subdir)/$(srcdir) ;; \
  1073. esac; \
  1074. for i in $$list; do \
  1075. if test -f "$$i"; then \
  1076. echo "$(subdir)/$$i"; \
  1077. else \
  1078. echo "$$sdir/$$i"; \
  1079. fi; \
  1080. done >> $(top_builddir)/cscope.files
  1081. distclean-tags:
  1082. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  1083. # Recover from deleted '.trs' file; this should ensure that
  1084. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  1085. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  1086. # to avoid problems with "make -n".
  1087. .log.trs:
  1088. rm -f $< $@
  1089. $(MAKE) $(AM_MAKEFLAGS) $<
  1090. # Leading 'am--fnord' is there to ensure the list of targets does not
  1091. # expand to empty, as could happen e.g. with make check TESTS=''.
  1092. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  1093. am--force-recheck:
  1094. @:
  1095. $(TEST_SUITE_LOG): $(TEST_LOGS)
  1096. @$(am__set_TESTS_bases); \
  1097. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  1098. redo_bases=`for i in $$bases; do \
  1099. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  1100. done`; \
  1101. if test -n "$$redo_bases"; then \
  1102. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  1103. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  1104. if $(am__make_dryrun); then :; else \
  1105. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  1106. fi; \
  1107. fi; \
  1108. if test -n "$$am__remaking_logs"; then \
  1109. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  1110. "recursion detected" >&2; \
  1111. elif test -n "$$redo_logs"; then \
  1112. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  1113. fi; \
  1114. if $(am__make_dryrun); then :; else \
  1115. st=0; \
  1116. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  1117. for i in $$redo_bases; do \
  1118. test -f $$i.trs && test -r $$i.trs \
  1119. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  1120. test -f $$i.log && test -r $$i.log \
  1121. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  1122. done; \
  1123. test $$st -eq 0 || exit 1; \
  1124. fi
  1125. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  1126. ws='[ ]'; \
  1127. results=`for b in $$bases; do echo $$b.trs; done`; \
  1128. test -n "$$results" || results=/dev/null; \
  1129. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  1130. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  1131. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  1132. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  1133. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  1134. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  1135. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  1136. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  1137. success=true; \
  1138. else \
  1139. success=false; \
  1140. fi; \
  1141. br='==================='; br=$$br$$br$$br$$br; \
  1142. result_count () \
  1143. { \
  1144. if test x"$$1" = x"--maybe-color"; then \
  1145. maybe_colorize=yes; \
  1146. elif test x"$$1" = x"--no-color"; then \
  1147. maybe_colorize=no; \
  1148. else \
  1149. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  1150. fi; \
  1151. shift; \
  1152. desc=$$1 count=$$2; \
  1153. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  1154. color_start=$$3 color_end=$$std; \
  1155. else \
  1156. color_start= color_end=; \
  1157. fi; \
  1158. echo "$${color_start}# $$desc $$count$${color_end}"; \
  1159. }; \
  1160. create_testsuite_report () \
  1161. { \
  1162. result_count $$1 "TOTAL:" $$all "$$brg"; \
  1163. result_count $$1 "PASS: " $$pass "$$grn"; \
  1164. result_count $$1 "SKIP: " $$skip "$$blu"; \
  1165. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  1166. result_count $$1 "FAIL: " $$fail "$$red"; \
  1167. result_count $$1 "XPASS:" $$xpass "$$red"; \
  1168. result_count $$1 "ERROR:" $$error "$$mgn"; \
  1169. }; \
  1170. { \
  1171. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  1172. $(am__rst_title); \
  1173. create_testsuite_report --no-color; \
  1174. echo; \
  1175. echo ".. contents:: :depth: 2"; \
  1176. echo; \
  1177. for b in $$bases; do echo $$b; done \
  1178. | $(am__create_global_log); \
  1179. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  1180. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  1181. if $$success; then \
  1182. col="$$grn"; \
  1183. else \
  1184. col="$$red"; \
  1185. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  1186. fi; \
  1187. echo "$${col}$$br$${std}"; \
  1188. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  1189. echo "$${col}$$br$${std}"; \
  1190. create_testsuite_report --maybe-color; \
  1191. echo "$$col$$br$$std"; \
  1192. if $$success; then :; else \
  1193. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  1194. if test -n "$(PACKAGE_BUGREPORT)"; then \
  1195. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  1196. fi; \
  1197. echo "$$col$$br$$std"; \
  1198. fi; \
  1199. $$success || exit 1
  1200. check-TESTS: $(dist_check_SCRIPTS)
  1201. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  1202. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  1203. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1204. @set +e; $(am__set_TESTS_bases); \
  1205. log_list=`for i in $$bases; do echo $$i.log; done`; \
  1206. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  1207. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  1208. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  1209. exit $$?;
  1210. recheck: all $(dist_check_SCRIPTS)
  1211. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1212. @set +e; $(am__set_TESTS_bases); \
  1213. bases=`for i in $$bases; do echo $$i; done \
  1214. | $(am__list_recheck_tests)` || exit 1; \
  1215. log_list=`for i in $$bases; do echo $$i.log; done`; \
  1216. log_list=`echo $$log_list`; \
  1217. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  1218. am__force_recheck=am--force-recheck \
  1219. TEST_LOGS="$$log_list"; \
  1220. exit $$?
  1221. tst-pam_unix.log: tst-pam_unix
  1222. @p='tst-pam_unix'; \
  1223. b='tst-pam_unix'; \
  1224. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1225. --log-file $$b.log --trs-file $$b.trs \
  1226. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1227. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1228. .test.log:
  1229. @p='$<'; \
  1230. $(am__set_b); \
  1231. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1232. --log-file $$b.log --trs-file $$b.trs \
  1233. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1234. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1235. #.test$(EXEEXT).log:
  1236. # @p='$<'; \
  1237. # $(am__set_b); \
  1238. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1239. # --log-file $$b.log --trs-file $$b.trs \
  1240. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1241. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  1242. distdir: $(BUILT_SOURCES)
  1243. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1244. distdir-am: $(DISTFILES)
  1245. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1246. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1247. list='$(DISTFILES)'; \
  1248. dist_files=`for file in $$list; do echo $$file; done | \
  1249. sed -e "s|^$$srcdirstrip/||;t" \
  1250. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1251. case $$dist_files in \
  1252. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1253. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1254. sort -u` ;; \
  1255. esac; \
  1256. for file in $$dist_files; do \
  1257. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1258. if test -d $$d/$$file; then \
  1259. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1260. if test -d "$(distdir)/$$file"; then \
  1261. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1262. fi; \
  1263. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1264. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1265. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1266. fi; \
  1267. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1268. else \
  1269. test -f "$(distdir)/$$file" \
  1270. || cp -p $$d/$$file "$(distdir)/$$file" \
  1271. || exit 1; \
  1272. fi; \
  1273. done
  1274. check-am: all-am
  1275. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  1276. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1277. check: check-am
  1278. all-am: Makefile $(PROGRAMS) $(LTLIBRARIES) $(MANS) $(DATA) $(HEADERS)
  1279. installdirs:
  1280. for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"; do \
  1281. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1282. done
  1283. install: install-am
  1284. install-exec: install-exec-am
  1285. install-data: install-data-am
  1286. uninstall: uninstall-am
  1287. install-am: all-am
  1288. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1289. installcheck: installcheck-am
  1290. install-strip:
  1291. if test -z '$(STRIP)'; then \
  1292. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1293. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1294. install; \
  1295. else \
  1296. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1297. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1298. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1299. fi
  1300. mostlyclean-generic:
  1301. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1302. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1303. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1304. clean-generic:
  1305. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1306. distclean-generic:
  1307. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1308. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1309. maintainer-clean-generic:
  1310. @echo "This command is intended for maintainers to use"
  1311. @echo "it deletes files that may require special tools to rebuild."
  1312. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1313. clean: clean-am
  1314. clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
  1315. clean-sbinPROGRAMS clean-securelibLTLIBRARIES mostlyclean-am
  1316. distclean: distclean-am
  1317. -rm -f ./$(DEPDIR)/bigcrypt-bigcrypt.Po
  1318. -rm -f ./$(DEPDIR)/bigcrypt-bigcrypt_main.Po
  1319. -rm -f ./$(DEPDIR)/bigcrypt.Plo
  1320. -rm -f ./$(DEPDIR)/md5_broken.Plo
  1321. -rm -f ./$(DEPDIR)/md5_good.Plo
  1322. -rm -f ./$(DEPDIR)/pam_unix_acct.Plo
  1323. -rm -f ./$(DEPDIR)/pam_unix_auth.Plo
  1324. -rm -f ./$(DEPDIR)/pam_unix_passwd.Plo
  1325. -rm -f ./$(DEPDIR)/pam_unix_sess.Plo
  1326. -rm -f ./$(DEPDIR)/passverify.Plo
  1327. -rm -f ./$(DEPDIR)/support.Plo
  1328. -rm -f ./$(DEPDIR)/unix_chkpwd-bigcrypt.Po
  1329. -rm -f ./$(DEPDIR)/unix_chkpwd-md5_broken.Po
  1330. -rm -f ./$(DEPDIR)/unix_chkpwd-md5_good.Po
  1331. -rm -f ./$(DEPDIR)/unix_chkpwd-passverify.Po
  1332. -rm -f ./$(DEPDIR)/unix_chkpwd-unix_chkpwd.Po
  1333. -rm -f ./$(DEPDIR)/unix_update-bigcrypt.Po
  1334. -rm -f ./$(DEPDIR)/unix_update-md5_broken.Po
  1335. -rm -f ./$(DEPDIR)/unix_update-md5_good.Po
  1336. -rm -f ./$(DEPDIR)/unix_update-passverify.Po
  1337. -rm -f ./$(DEPDIR)/unix_update-unix_update.Po
  1338. -rm -f ./$(DEPDIR)/yppasswd_xdr.Plo
  1339. -rm -f Makefile
  1340. distclean-am: clean-am distclean-compile distclean-generic \
  1341. distclean-tags
  1342. dvi: dvi-am
  1343. dvi-am:
  1344. html: html-am
  1345. html-am:
  1346. info: info-am
  1347. info-am:
  1348. install-data-am: install-man install-securelibLTLIBRARIES
  1349. install-dvi: install-dvi-am
  1350. install-dvi-am:
  1351. install-exec-am: install-sbinPROGRAMS
  1352. install-html: install-html-am
  1353. install-html-am:
  1354. install-info: install-info-am
  1355. install-info-am:
  1356. install-man: install-man8
  1357. install-pdf: install-pdf-am
  1358. install-pdf-am:
  1359. install-ps: install-ps-am
  1360. install-ps-am:
  1361. installcheck-am:
  1362. maintainer-clean: maintainer-clean-am
  1363. -rm -f ./$(DEPDIR)/bigcrypt-bigcrypt.Po
  1364. -rm -f ./$(DEPDIR)/bigcrypt-bigcrypt_main.Po
  1365. -rm -f ./$(DEPDIR)/bigcrypt.Plo
  1366. -rm -f ./$(DEPDIR)/md5_broken.Plo
  1367. -rm -f ./$(DEPDIR)/md5_good.Plo
  1368. -rm -f ./$(DEPDIR)/pam_unix_acct.Plo
  1369. -rm -f ./$(DEPDIR)/pam_unix_auth.Plo
  1370. -rm -f ./$(DEPDIR)/pam_unix_passwd.Plo
  1371. -rm -f ./$(DEPDIR)/pam_unix_sess.Plo
  1372. -rm -f ./$(DEPDIR)/passverify.Plo
  1373. -rm -f ./$(DEPDIR)/support.Plo
  1374. -rm -f ./$(DEPDIR)/unix_chkpwd-bigcrypt.Po
  1375. -rm -f ./$(DEPDIR)/unix_chkpwd-md5_broken.Po
  1376. -rm -f ./$(DEPDIR)/unix_chkpwd-md5_good.Po
  1377. -rm -f ./$(DEPDIR)/unix_chkpwd-passverify.Po
  1378. -rm -f ./$(DEPDIR)/unix_chkpwd-unix_chkpwd.Po
  1379. -rm -f ./$(DEPDIR)/unix_update-bigcrypt.Po
  1380. -rm -f ./$(DEPDIR)/unix_update-md5_broken.Po
  1381. -rm -f ./$(DEPDIR)/unix_update-md5_good.Po
  1382. -rm -f ./$(DEPDIR)/unix_update-passverify.Po
  1383. -rm -f ./$(DEPDIR)/unix_update-unix_update.Po
  1384. -rm -f ./$(DEPDIR)/yppasswd_xdr.Plo
  1385. -rm -f Makefile
  1386. maintainer-clean-am: distclean-am maintainer-clean-generic
  1387. mostlyclean: mostlyclean-am
  1388. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1389. mostlyclean-libtool
  1390. pdf: pdf-am
  1391. pdf-am:
  1392. ps: ps-am
  1393. ps-am:
  1394. uninstall-am: uninstall-man uninstall-sbinPROGRAMS \
  1395. uninstall-securelibLTLIBRARIES
  1396. uninstall-man: uninstall-man8
  1397. .MAKE: check-am install-am install-strip
  1398. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1399. check-am clean clean-generic clean-libtool \
  1400. clean-noinstPROGRAMS clean-sbinPROGRAMS \
  1401. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1402. distclean distclean-compile distclean-generic \
  1403. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1404. html-am info info-am install install-am install-data \
  1405. install-data-am install-dvi install-dvi-am install-exec \
  1406. install-exec-am install-html install-html-am install-info \
  1407. install-info-am install-man install-man8 install-pdf \
  1408. install-pdf-am install-ps install-ps-am install-sbinPROGRAMS \
  1409. install-securelibLTLIBRARIES install-strip installcheck \
  1410. installcheck-am installdirs maintainer-clean \
  1411. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1412. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1413. recheck tags tags-am uninstall uninstall-am uninstall-man \
  1414. uninstall-man8 uninstall-sbinPROGRAMS \
  1415. uninstall-securelibLTLIBRARIES
  1416. .PRECIOUS: Makefile
  1417. #-include $(top_srcdir)/Make.xml.rules
  1418. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1419. # Otherwise a system limit (for SysV at least) may be exceeded.
  1420. .NOEXPORT: